<template>
  <div class="m-5 content-grid content-grid--subpage">
    <BackLinkTitle :title="backLinkTitle"/>
    <Card>
      <CoursForm @formSubmit="handleSubmit"/>
    </Card>
  </div>
</template>

<script lang="ts" setup>
import CoursForm from "@/components/cours/CoursForm.vue";
import Breadcrumbs from "@/components/layout/Breadcrumbs.vue";
import Card from "@/components/layout/Card.vue";
import {useI18n} from "vue3-i18n";
import {Cours} from "@/types/entities/cours";
import {notifyError, notifySuccess} from "@/notify";
import {useCoursService} from "@/inversify.config";
import {ICreateCoursRequest} from "@/types/requests/createCoursRequest";
import {useRouter} from "vue-router";
import {Role} from "@/types";
import {useMemberStore} from "@/stores/memberStore";

import BackLinkTitle from "@/components/layout/BackLinkTitle.vue";

const memberStore = useMemberStore()
const {t} = useI18n();
const router = useRouter();
const coursService = useCoursService();
const backLinkTitle = "Ajouter un cours"

async function handleSubmit(cours: Cours) {
  console.log(cours)
  let succeededOrNotResponse = await coursService.createCours(
      cours as ICreateCoursRequest
  );
  if (succeededOrNotResponse && succeededOrNotResponse.succeeded) {
    notifySuccess(t("validation.cours.add.success"));
    setTimeout(() => {

      router.push({name: "home"});

    }, 1500);
  } else {
    notifyError(succeededOrNotResponse.errors[0].errorMessage);
  }
}
</script>